Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.blueprint.config.internal
Class BlueprintServiceDefinitionParser

    java.lang.Object
      org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
          org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
              org.eclipse.gemini.blueprint.config.internal.ServiceBeanDefinitionParser
                  org.eclipse.gemini.blueprint.blueprint.config.internal.BlueprintServiceDefinitionParser

All Implemented Interfaces:
  org.springframework.beans.factory.xml.BeanDefinitionParser

    public class BlueprintServiceDefinitionParser

extends ServiceBeanDefinitionParser

Author:
  Costin Leau

Field Summary

Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`ID_ATTRIBUTE, NAME_ATTRIBUTE`

Constructor Summary
`BlueprintServiceDefinitionParser()`

Method Summary
`protected void` | `applyDefaults(org.springframework.beans.factory.xml.ParserContext parserContext, OsgiDefaultsDefinition defaults, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)`
`protected void` | `doParse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)`
`protected void` | `parseAttributes(Element element, org.springframework.beans.factory.support.BeanDefinitionBuilder builder, AttributeCallback[] callbacks, OsgiDefaultsDefinition defaults)`
`protected Map<?,?>` | `parsePropertyMapElement(org.springframework.beans.factory.xml.ParserContext context, Element beanDef, org.springframework.beans.factory.config.BeanDefinition beanDefinition)`
`protected Set<?>` | `parsePropertySetElement(org.springframework.beans.factory.xml.ParserContext context, Element beanDef, org.springframework.beans.factory.config.BeanDefinition beanDefinition)`
`protected Object` | `parsePropertySubElement(org.springframework.beans.factory.xml.ParserContext context, Element beanDef, org.springframework.beans.factory.config.BeanDefinition beanDefinition)`
`protected void` | `postProcessListenerDefinition(org.springframework.beans.factory.config.BeanDefinition wrapperDef)`
`protected OsgiDefaultsDefinition` | `resolveDefaults(Document document, org.springframework.beans.factory.xml.ParserContext parserContext)` Get OSGi defaults (in case they haven't been resolved).
`protected String` | `resolveId(Element element, org.springframework.beans.factory.support.AbstractBeanDefinition definition, org.springframework.beans.factory.xml.ParserContext parserContext)`

Methods inherited from class org.eclipse.gemini.blueprint.config.internal.ServiceBeanDefinitionParser
`getBeanClass, parseListener, shouldGenerateIdAsFallback, validateServiceReferences`

Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
`doParse, getBeanClassName, getParentName, parseInternal`

Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`parse, postProcessComponentDefinition, registerBeanDefinition, shouldFireEvents, shouldGenerateId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlueprintServiceDefinitionParser

    public BlueprintServiceDefinitionParser()

Method Detail

### doParse

    protected void doParse(Element element,
                           org.springframework.beans.factory.xml.ParserContext parserContext,
                           org.springframework.beans.factory.support.BeanDefinitionBuilder builder)

  Overrides:
    `doParse` in class `ServiceBeanDefinitionParser`

### parseAttributes

    protected void parseAttributes(Element element,
                                   org.springframework.beans.factory.support.BeanDefinitionBuilder builder,
                                   AttributeCallback[] callbacks,
                                   OsgiDefaultsDefinition defaults)

  Overrides:
    `parseAttributes` in class `ServiceBeanDefinitionParser`

### parsePropertyMapElement

    protected Map<?,?> parsePropertyMapElement(org.springframework.beans.factory.xml.ParserContext context,
                                               Element beanDef,
                                               org.springframework.beans.factory.config.BeanDefinition beanDefinition)

  Overrides:
    `parsePropertyMapElement` in class `ServiceBeanDefinitionParser`

### parsePropertySetElement

    protected Set<?> parsePropertySetElement(org.springframework.beans.factory.xml.ParserContext context,
                                             Element beanDef,
                                             org.springframework.beans.factory.config.BeanDefinition beanDefinition)

  Overrides:
    `parsePropertySetElement` in class `ServiceBeanDefinitionParser`

### parsePropertySubElement

    protected Object parsePropertySubElement(org.springframework.beans.factory.xml.ParserContext context,
                                             Element beanDef,
                                             org.springframework.beans.factory.config.BeanDefinition beanDefinition)

  Overrides:
    `parsePropertySubElement` in class `ServiceBeanDefinitionParser`

### resolveId

    protected String resolveId(Element element,
                               org.springframework.beans.factory.support.AbstractBeanDefinition definition,
                               org.springframework.beans.factory.xml.ParserContext parserContext)
                        throws org.springframework.beans.factory.BeanDefinitionStoreException

  Overrides:
    `resolveId` in class `ServiceBeanDefinitionParser`
  Throws:
    `org.springframework.beans.factory.BeanDefinitionStoreException`

### resolveDefaults

    protected OsgiDefaultsDefinition resolveDefaults(Document document,
                                                     org.springframework.beans.factory.xml.ParserContext parserContext)

  Description copied from class: `ServiceBeanDefinitionParser`
  Get OSGi defaults (in case they haven't been resolved).

  Overrides:
    `resolveDefaults` in class `ServiceBeanDefinitionParser`
  Returns:

### postProcessListenerDefinition

    protected void postProcessListenerDefinition(org.springframework.beans.factory.config.BeanDefinition wrapperDef)

  Overrides:
    `postProcessListenerDefinition` in class `ServiceBeanDefinitionParser`

### applyDefaults

    protected void applyDefaults(org.springframework.beans.factory.xml.ParserContext parserContext,
                                 OsgiDefaultsDefinition defaults,
                                 org.springframework.beans.factory.support.BeanDefinitionBuilder builder)

  Overrides:
    `applyDefaults` in class `ServiceBeanDefinitionParser`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013. All Rights Reserved.